Subject: Re: Compiling a Prolog program to a stand alone application

From: [email-masked] (Uwe Lesta)
Date: Fri, 20 Aug 1999 13:02:39 +0200

Rinke Hoekstra schrieb:
> 
> If I try this, an executable appears in the directory. But when I try to run
> it
> I get an error message: A required DLL (Libpl.dll) was not found. When
> I copy this file to the directory the executable resides in, nothing
> changes.
> How can I solve this?

You must set the environment variables 
e.g.

rem used by SWI-Prolog
        set SWI_HOME_DIR=d:\lesta\swi-pl\pl
 	set LIB=%LIB%;%SWI_HOME_DIR%\lib
 	set PATH=%PATH%;%SWI_HOME_DIR%\bin
 	set INCLUDE=%INCLUDE%;%SWI_HOME_DIR%\include

in your autoexec.bat 
specaly  SWI_HOME_DIR must point to yout install directory
-- 

Regards

Uwe
[email-masked]